Masked or dont exist?

Anything that pertains to Portage

Moderator: Moderators

Masked or dont exist?

Postby markwilson5 » Wed Aug 06, 2008 22:04

Hi there.Its my first day using sabayon and also my first post in a forum.I ran a emerge --update world soon after the dvd install.loads of the packages were "masked" (which ive never come across before in any of the other distros) so after a bit of googling I edited the packages.mask and packages.unmask files and managed to narrow the number down to just 4 or 5 but now this is the message I get.as far as I can tell I dont have these packages installed.

Code: Select all
!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
sys-auth/pam_keyring app-portage/etcproposals x11-drivers/ati-drivers:2.6.25-sabayon-r1 gnome-extra/gal:2.2 gnome-extra/gal:2.4 gnome-extra/gal


After a emaint --check world I get

Code: Select all
markspc mark # emaint --check world
Checking world for problems

100% [===============================================================>]

'kde-base/libkdegames' is not installed
'app-dicts/myspell-de' is not installed
'net-p2p/amule:0' is not installed
'gnome-base/eel' is not installed
'media-video/manslide' is not installed
'net-wireless/gnome-bluetooth:0' is not installed
'gnome-extra/gnome-main-menu' is not installed
'gnome-extra/evolution-data-server:0' is not installed
'gnome-extra/gnome-utils' is not installed
'dev-dotnet/gtkhtml-sharp' is not installed
'media-video/mandvd' is not installed
'gnome-extra/gconf-editor' is not installed
'media-video/mandvd:' is not installed
'app-office/openoffice-l10n-pl:0' is not installed
'app-office/openoffice-l10n-de:0' is not installed
'dev-dotnet/gecko-sharp' is not installed
'dev-dotnet/glade-sharp' is not installed
'app-office/openoffice-l10n-pt:0' is not installed
'gnome-extra/gcalctool' is not installed
'net-misc/tsclient' is not installed
'x11-themes/xfwm4-themes:0' is not installed
'gnome-extra/bug-buddy' is not installed
'gnome-extra/evolution-webcal' is not installed
'sys-auth/pam_keyring' is not installed
'app-dicts/myspell-ga' is not installed
'app-dicts/myspell-gl' is not installed
'app-office/openoffice-l10n-ja:0' is not installed
'net-analyzer/gnome-netstatus' is not installed
'mail-client/evolution:2.0' is not installed
'dev-java/commons-cli' is not installed
'games-fps/sauerbraten:0' is not installed
'dev-dotnet/gnomevfs-sharp' is not installed
'app-dicts/myspell-nl' is not installed
'media-video/totem:0' is not installed
'app-editors/mousepad:0' is not installed
'www-client/mozilla-firefox:0' is not installed
'dev-dotnet/gnome-sharp' is not installed
'net-im/pidgin:0' is not installed
'app-portage/etcproposals' is not installed
'games-simulation/dangerdeep' is not installed
'app-office/openoffice-l10n-zh_CN:0' is not installed
'app-emulation/virt-manager' is not installed
'app-office/openoffice-l10n-it:0' is not installed
'app-office/openoffice-l10n-zh_TW:0' is not installed
'gnome-extra/gnome-media' is not installed
'gnome-extra/evolution-exchange:2.0' is not installed
'app-dicts/myspell-it' is not installed
'gnome-extra/nautilus-cd-burner' is not installed
'app-dicts/myspell-fr' is not installed
'app-office/openoffice:0' is not installed
'dev-dotnet/gtkhtml-sharp:1' is not installed
'kde-base/kolf' is not installed
'x11-terms/terminal:0' is not installed
'app-office/openoffice-l10n-fr:0' is not installed
'net-analyzer/gnome-nettool' is not installed
'gnome-extra/gnome-keyring-manager' is not installed
'media-video/manencode' is not installed
'games-rpg/secondlife-bin' is not installed
'app-office/openoffice-l10n-es:0' is not installed
'virtual/jre:1.5' is not installed
'net-dns/resolvconf-gentoo' is not installed
'media-gfx/gwenview' is not installed
'x11-drivers/ati-drivers:2.6.25-sabayon-r1' is not installed
'app-office/openoffice-l10n-nl:0' is not installed
'app-admin/gnome-system-tools' is not installed
'net-print/gnome-cups-manager' is not installed
'gnome-extra/gal:2.2' is not installed
'gnome-extra/gal:2.4' is not installed
'games-fps/nexuiz' is not installed
'net-misc/vino' is not installed
'media-video/manencode:' is not installed
'app-office/openoffice-l10n-ca:0' is not installed
'dev-dotnet/gconf-sharp' is not installed
'kde-base/kitchensync:3.5' is not installed
'app-accessibility/gok' is not installed
'gnome-extra/libgail-gnome' is not installed
'dev-dotnet/vte-sharp' is not installed
'app-office/orage:0' is not installed
'app-dicts/myspell-en' is not installed
'app-dicts/myspell-eo' is not installed
'x11-misc/xfkc:0' is not installed
'gnome-extra/gal' is not installed
'gnome-extra/yelp' is not installed
'dev-dotnet/art-sharp' is not installed
'media-gfx/picasa' is not installed
'kde-misc/kerry' is not installed
'app-dicts/myspell-es' is not installed
'dev-dotnet/ipod-sharp' is not installed
'xfce-base/xfce4:0' is not installed
'app-dicts/myspell-ru' is not installed
'net-print/xfprint:0' is not installed
'net-im/ekiga' is not installed
'dev-dotnet/gsf-sharp' is not installed


That seems like a lot of errors.I installed the kde desktop and didnt uncheck any packages when the install gave me the option to.I erease everything from my packages.mask file eventually but I am pasting my package.unmask file in case thats are important.Any help I can get would be much appreciated.

Code: Select all
=net-p2p/amule-2.2.0_pre*
~x11-drivers/nvidia-drivers-100.14.23
x11-libs/wxGTK:2.8
>=kde-base/amor-4.0.2
>=kde-base/ark-4.0.2
>=kde-base/blinken-4.0.2
>=kde-base/bovo-4.0.2
>=kde-base/cervisia-4.0.2
>=kde-base/dolphin-4.0.2
>=kde-base/drkonqi-4.0.2
>=kde-base/gwenview-4.0.2
>=kde-base/juk-4.0.2
>=kde-base/kalgebra-4.0.2
>=kde-base/kalzium-4.0.2
>=kde-base/kamera-4.0.2
>=kde-base/kanagram-4.0.2
>=kde-base/kappfinder-4.0.2
>=kde-base/kapptemplate-4.0.2
>=kde-base/kate-4.0.2
>=kde-base/katomic-4.0.2
>=kde-base/kbattleship-4.0.2
>=kde-base/kblackbox-4.0.2
>=kde-base/kbounce-4.0.2
>=kde-base/kbruch-4.0.2
>=kde-base/kbugbuster-4.0.2
>=kde-base/kcachegrind-4.0.2
>=kde-base/kcalc-4.0.2
>=kde-base/kcharselect-4.0.2
>=kde-base/kcheckpass-4.0.2
>=kde-base/kcminit-4.0.2
>=kde-base/kcmshell-4.0.2
>=kde-base/kcolorchooser-4.0.2
>=kde-base/kcontrol-4.0.2
>=kde-base/kcron-4.0.2
>=kde-base/kdeaccessibility-4.0.2
>=kde-base/kdeaccessibility-colorschemes-4.0.2
>=kde-base/kdeaccessibility-iconthemes-4.0.2
>=kde-base/kdeaccessibility-meta-4.0.2
>=kde-base/kdeaccounts-plugin-4.0.2
>=kde-base/kdeadmin-4.0.2
>=kde-base/kdeadmin-meta-4.0.2
>=kde-base/kdeartwork-4.0.2
>=kde-base/kdeartwork-colorschemes-4.0.2
>=kde-base/kdeartwork-emoticons-4.0.2
>=kde-base/kdeartwork-iconthemes-4.0.2
>=kde-base/kdeartwork-kscreensaver-4.0.2
>=kde-base/kdeartwork-kworldclock-4.0.2
>=kde-base/kdeartwork-meta-4.0.2
>=kde-base/kdeartwork-sounds-4.0.2
>=kde-base/kdeartwork-styles-4.0.2
>=kde-base/kdeartwork-wallpapers-4.0.2
>=kde-base/kdebase-4.0.2
>=kde-base/kdebase-data-4.0.2
>=kde-base/kdebase-kioslaves-4.0.2
>=kde-base/kdebase-meta-4.0.2
>=kde-base/kdebase-startkde-4.0.2
>=kde-base/kdebugdialog-4.0.2
>=kde-base/kdeedu-4.0.2
>=kde-base/kdeedu-meta-4.0.2
>=kde-base/kdegames-4.0.2
>=kde-base/kdegames-meta-4.0.2
>=kde-base/kdegraphics-4.0.2
>=kde-base/kdegraphics-meta-4.0.2
>=kde-base/kde-l10n-4.0.2
>=kde-base/kdelibs-4.0.2
>=kde-base/kde-menu-4.0.2
>=kde-base/kde-menu-icons-4.0.2
>=kde-base/kde-meta-4.0.2
>=kde-base/kdemultimedia-4.0.2
>=kde-base/kdemultimedia-kioslaves-4.0.2
>=kde-base/kdemultimedia-meta-4.0.2
>=kde-base/kdenetwork-4.0.2
>=kde-base/kdenetwork-filesharing-4.0.2
>=kde-base/kdenetwork-meta-4.0.2
>=kde-base/kdepasswd-4.0.2
>=kde-base/kdepimlibs-4.0.2
>=kde-base/kdesdk-4.0.2
>=kde-base/kdesdk-kioslaves-4.0.2
>=kde-base/kdesdk-meta-4.0.2
>=kde-base/kdesdk-misc-4.0.2
>=kde-base/kdesdk-scripts-4.0.2
>=kde-base/kdessh-4.0.2
>=kde-base/kdesu-4.0.2
>=kde-base/kdetoys-4.0.2
>=kde-base/kdetoys-meta-4.0.2
>=kde-base/kdeutils-4.0.2
>=kde-base/kdeutils-meta-4.0.2
>=kde-base/kde-wallpapers-4.0.2
>=kde-base/kdf-4.0.2
>=kde-base/kdialog-4.0.2
>=kde-base/kdm-4.0.2
>=kde-base/kdnssd-4.0.2
>=kde-base/keditbookmarks-4.0.2
>=kde-base/kfile-4.0.2
>=kde-base/kfind-4.0.2
>=kde-base/kfloppy-4.0.2
>=kde-base/kfourinline-4.0.2
>=kde-base/kgamma-4.0.2
>=kde-base/kgeography-4.0.2
>=kde-base/kget-4.0.2
>=kde-base/kgoldrunner-4.0.2
>=kde-base/kgpg-4.0.2
>=kde-base/khangman-4.0.2
>=kde-base/khelpcenter-4.0.2
>=kde-base/khotkeys-4.0.2
>=kde-base/kig-4.0.2
>=kde-base/kioclient-4.0.2
>=kde-base/kiriki-4.0.2
>=kde-base/kiten-4.0.2
>=kde-base/kjots-4.0.2
>=kde-base/kjumpingcube-4.0.2
>=kde-base/klettres-4.0.2
>=kde-base/klines-4.0.2
>=kde-base/klipper-4.0.2
>=kde-base/kmag-4.0.2
>=kde-base/kmahjongg-4.0.2
>=kde-base/kmenuedit-4.0.2
>=kde-base/kmilo-4.0.2
>=kde-base/kmimetypefinder-4.0.2
>=kde-base/kmines-4.0.2
>=kde-base/kmix-4.0.2
>=kde-base/kmousetool-4.0.2
>=kde-base/kmouth-4.0.2
>=kde-base/kmplot-4.0.2
>=kde-base/knetattach-4.0.2
>=kde-base/knetwalk-4.0.2
>=kde-base/knetworkconf-4.0.2
>=kde-base/knewsticker-4.0.2
>=kde-base/knewstuff-4.0.2
>=kde-base/knotify-4.0.2
>=kde-base/kolf-4.0.2
>=kde-base/kolourpaint-4.0.2
>=kde-base/kompare-4.0.2
>=kde-base/konqueror-4.0.2
>=kde-base/konquest-4.0.2
>=kde-base/konsole-4.0.2
>=kde-base/kopete-4.0.2
>=kde-base/kpasswdserver-4.0.2
>=kde-base/kpat-4.0.2
>=kde-base/kpercentage-4.0.2
>=kde-base/kppp-4.0.2
>=kde-base/kquitapp-4.0.2
>=kde-base/krdc-4.0.2
>=kde-base/kreadconfig-4.0.2
>=kde-base/kreversi-4.0.2
>=kde-base/krfb-4.0.2
>=kde-base/kruler-4.0.2
>=kde-base/krunner-4.0.2
>=kde-base/ksame-4.0.2
>=kde-base/kscd-4.0.2
>=kde-base/kscreensaver-4.0.2
>=kde-base/kshisen-4.0
>=kde-base/ksmserver-4.0
>=kde-base/ksnapshot-4.0.2
>=kde-base/kspaceduel-4.0.2
>=kde-base/ksplash-4.0.2
>=kde-base/ksquares-4.0.2
>=kde-base/kstars-4.0.2
>=kde-base/kstart-4.0.2
>=kde-base/kstartupconfig-4.0.2
>=kde-base/kstyles-4.0.2
>=kde-base/ksudoku-4.0.2
>=kde-base/ksysguard-4.0.2
>=kde-base/ksystraycmd-4.0.2
>=kde-base/kteatime-4.0.2
>=kde-base/ktimer-4.0.2
>=kde-base/ktimezoned-4.0.2
>=kde-base/ktip-4.0.2
>=kde-base/ktouch-4.0.2
>=kde-base/ktraderclient-4.0.2
>=kde-base/kttsd-4.0.2
>=kde-base/ktuberling-4.0.2
>=kde-base/kturtle-4.0.2
>=kde-base/ktux-4.0.2
>=kde-base/kuiserver-4.0.2
>=kde-base/kuiviewer-4.0.2
>=kde-base/kurifilter-plugins-4.0.2
>=kde-base/kuser-4.0.2
>=kde-base/kwallet-4.0.2
>=kde-base/kweather-4.0.2
>=kde-base/kwin-4.0.2
>=kde-base/kwordquiz-4.0.2
>=kde-base/kworldclock-4.0.2
>=kde-base/kwrite-4.0.2
>=kde-base/libkcddb-4.0.2
>=kde-base/libkcompactdisc-4.0.2
>=kde-base/libkdeedu-4.0.2
>=kde-base/libkdegames-4.0.2
>=kde-base/libkmahjongg-4.0.2
>=kde-base/libkonq-4.0.2
>=kde-base/libkscan-4.0.2
>=kde-base/libkworkspace-4.0.2
>=kde-base/libplasma-4.0.2
>=kde-base/libtaskmanager-4.0.2
>=kde-base/lilo-config-4.0.2
>=kde-base/lskat-4.0.2
>=kde-base/marble-4.0.2
>=kde-base/nepomuk-4.0.2
>=kde-base/nsplugins-4.0.2
>=kde-base/okular-4.0.2
>=kde-base/parley-4.0.2
>=kde-base/phonon-4.0.2
>=kde-base/plasma-4.0.2
>=kde-base/poxml-4.0.2
>=kde-base/secpolicy-4.0.2
>=kde-base/solid-4.0.2
>=kde-base/soliduiserver-4.0.2
>=kde-base/strigi-analyzer-4.0.2
>=kde-base/superkaramba-4.0.2
>=kde-base/svgpart-4.0.2
>=kde-base/sweeper-4.0.2
>=kde-base/systemsettings-4.0.2
>=kde-base/umbrello-4.0.2
>=net-im/skype-2.0.0.13
>=app-crypt/qca-ossl-2.0.0_beta3
=app-crypt/qca-2*
>=app-doc/kchmviewer-4.0_beta1
dev-libs/liboobs
>=app-admin/system-tools-backends-2
>=app-admin/gnome-system-tools-2.20
>=kde-base/kdeartwork-icewm-themes-4.0.2:kde-4
kde-base/qimageblitz
>=kde-base/kinfocenter-4.0.2:kde-4
#=net-wireless/wpa_supplicant-0.6.3
~x11-drivers/nvidia-drivers-173.08
dev-util/cogito
sys-auth/pam_keyring
app-portage/etcproposals
x11-drivers/ati-drivers:2.6.25-sabayon-r1
net-dns/resolvconf-gentoo
gnome-extra/gal:2.2
gnome-extra/gal:2.4
gnome-extra/gal
markwilson5
Baby Hen
 
Posts: 1
Joined: Wed Aug 06, 2008 12:42

Re: Masked or dont exist?

Postby Thev00d00 » Thu Aug 07, 2008 10:25

to fix your world file you can run:

Code: Select all
emaint --fix world


If you are new to linux/sabayon and do not have a gentoo background i reccomend you use Entropy as your primary source of updates as it is much more safe and easier to get to grips with.

Have a read of the wiki pages:
http://wiki.sabayonlinux.org/index.php?title=En:Entropy
http://wiki.sabayonlinux.org/index.php?title=Equo
http://wiki.sabayonlinux.org/index.php?title=En:Spritz

Then have a play :mrgreen:
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest